PHP Manual
Prev |  | Next

# XMLWriter::outputMemory

(no version information, might be only in CVS)

XMLWriter::outputMemory -- Returns current buffer

## Description

Object oriented style:

class XMLWriter {
bool outputMemory ( [bool flush] )
}

Procedural style:

string xmlwriter_output_memory ( resource xmlwriter [, bool flush] )

Returns the current buffer.

## Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`flush`

  Whether to flush the output buffer or no. Default is `TRUE`.

## Return Values

Returns the current buffer as a string.

## See Also

XMLWriter::flush

Prev | Home | Next
XMLWriter::openURI | Up | XMLWriter::setIndentString